
TYPO3.Fluid - Feature # 49726

Status: Resolved Priority: Should have
Author: Tim Spiekerkötter Category:
Created: 2013-07-06 Assigned To:
Updated: 2014-07-11 Due date:
Has patch: No
Subject: f:form autofocus attribute is missing in f:form.textfield and f:form.textarea
Description

As in f:form.button there should be an attribute "autofocus" as well for f:form.textfield and f:form.textarea to be consistent in autofocus
behaviour.

This is a copy from the issue #48689 from TYPO3 CMS.

Associated revisions
Revision c763e759 - 2013-07-06 15:34 - Tim Spiekerkötter

[FEATURE] Added autofocus attribute to textfield and textarea

The ViewHelpers f:form.textfield and f:form.textarea were lacking the
HTML5 "autofocus" attribute. It is available for button, input and
textarea. Now Fluid reflects this correctly by adding this attribute to
the initializeArguments methods for TextareaViewHelper and
TextfieldViewHelper.

Resolves: #49726
Releases: master
Change-Id: I00480dc4e76b2854dc0be36d150d32c7b432d93d

History
#1 - 2013-07-06 13:11 - Tim Spiekerkötter
- Assigned To set to Tim Spiekerkötter

#2 - 2013-07-06 13:22 - Tim Spiekerkötter
- File patch.diff added

I made the code changes on TYPO3.Fluid but can not push them to the repository. Here is the git diff origin/master output.

#3 - 2013-07-06 13:22 - Tim Spiekerkötter
- Assigned To deleted (Tim Spiekerkötter)
- % Done changed from 0 to 70

#4 - 2013-07-06 15:39 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22013

#5 - 2014-07-11 20:39 - Tim Spiekerkötter
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:c763e759de10e329963465b1a3e06e1fdf4bc286.

Files
patch.diff 2 kB 2013-07-06 Tim Spiekerkötter
